<div id="top"></div>

<div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="20px">
    <div fxFlex>
        <mat-card class="next_class_schedule_container">
            <img src="assets/images/ruang_kelas.jpg" class="class-img" alt="">
            <div class="dark_overlay">
                    
            </div>
            <p>Nama Ruang: {{schedule?.class_code}}</p>
            <p>Judul Materi: {{material?.name}}</p>
            <p>Jam: 8:30 - 16:30</p>
            <a>Today Class Schedule</a>
        </mat-card>
    </div>
    <div fxFlex>
        <mat-card class="next_shuttle_schedule_container">
            <img src="assets/images/bus_stop.jpg" class="shuttle-img" alt="">
            <div class="dark_overlay">
                    
            </div>
            <p>Jam: 06:00 - 06:30</p>
            <a>Next Shuttle Schedule</a>
        </mat-card>
    </div>
</div>




<div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="20px">
    <div class="left-container">
        <mat-card>  
            <mat-card-header>
                <mat-card-content>
                    <h2>My Profile</h2>
                    <img src="assets/images/kokoh.png" class="login-img" alt="">
                    <p>Nama : {{staff?.name}}</p>
                    <p>Program: {{staff?.program}}</p>
                    <p>Divisi : {{staff?.division.name}}</p>
                    <p>Status di BLI : {{staff?.flag_trainee === true? 'Trainee' : staff?.flag_trainer === true? 'Trainer' : 'INACTIVE'}}</p>
                </mat-card-content>
            </mat-card-header>          
        </mat-card>
    </div>

    <div class="right-container">
        <div fxFlex>
            <mat-card>
                <img src="assets/images/medal_bg.jpg" class="bg_img" alt="">
                <div class="dark_overlay">
                
                </div>
                <img src="assets/images/medal_bronze.png" id="medal" alt="" *ngIf="enthusiast == 1">
                <img src="assets/images/medal_silver.png" id="medal" alt="" *ngIf="enthusiast == 2">
                <img src="assets/images/medal_gold.png" id="medal" alt="" *ngIf="enthusiast == 3">
                <a>Food Enthusiast</a>
            </mat-card>
            <mat-card style="margin-top:20px;">
                <img src="assets/images/medal_bg.jpg" class="bg_img" alt="">
                <div class="dark_overlay">
                
                </div>
                <img src="assets/images/medal_bronze.png" id="medal" alt="" *ngIf="rare == 1">
                <img src="assets/images/medal_silver.png" id="medal" alt="" *ngIf="rare == 2">
                <img src="assets/images/medal_gold.png" id="medal" alt="" *ngIf="rare == 3">
                <a>Rare Food Hunter</a>
            </mat-card>
        </div>
        <div fxFlex style="margin-left:20px;">
            <mat-card>
                <img src="assets/images/medal_bg.jpg" class="bg_img" alt="">
                <div class="dark_overlay">
                
                </div>
                <img src="assets/images/medal_bronze.png" id="medal" alt="" *ngIf="healthy == 1">
                <img src="assets/images/medal_silver.png" id="medal" alt="" *ngIf="healthy == 2">
                <img src="assets/images/medal_gold.png" id="medal" alt="" *ngIf="healthy == 3">
                <a>Healthy Food for Healthy Life</a>
            </mat-card>
            <mat-card style="margin-top:20px;">
                <img src="assets/images/medal_bg.jpg" class="bg_img" alt="">
                <div class="dark_overlay">
                
                </div>
                <img src="assets/images/medal_bronze.png" id="medal" alt="" *ngIf="training == 1">
                <img src="assets/images/medal_silver.png" id="medal" alt="" *ngIf="training == 2">
                <img src="assets/images/medal_gold.png" id="medal" alt="" *ngIf="training == 3">
                <a>BLI Honor Guest</a>
            </mat-card>
        </div>
        <div fxFlex style="margin-left:20px;">
            <mat-card>
                <img src="assets/images/medal_bg.jpg" class="bg_img" alt="">
                <div class="dark_overlay">
                
                </div>
                <img src="assets/images/medal_bronze.png" id="medal" alt="" *ngIf="feast == 1">
                <img src="assets/images/medal_silver.png" id="medal" alt="" *ngIf="feast == 2">
                <img src="assets/images/medal_gold.png" id="medal" alt="" *ngIf="feast == 3">
                <a>Feast at BLI</a>
            </mat-card>
            <mat-card style="margin-top:20px;">
                <img src="assets/images/medal_bg.jpg" class="bg_img" alt="">
                <div class="dark_overlay">
                
                </div>
                <img src="assets/images/medal_bronze.png" id="medal" alt="" *ngIf="trainer == 1">
                <img src="assets/images/medal_silver.png" id="medal" alt="" *ngIf="trainer == 2">
                <img src="assets/images/medal_gold.png" id="medal" alt="" *ngIf="trainer == 3">
                <a>Share to Learn</a>
            </mat-card>
        </div>
    </div>
    
    
    
</div>

<div class="bottom_container" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="20px">
   
    <div fxFlex class="flip3D">
        <mat-card class="thefront">
                <mat-icon class="sidenav-icon">favorite</mat-icon>
                <p class="words" style="font-size: 1.2em">{{allFavoriteArray[0]}}</p>
            <a>Your favorite food stall</a>
        </mat-card>
        <mat-card class="theback">
                <mat-icon class="sidenav-icon">favorite</mat-icon>
                <p class="words">{{allFavoriteArray[0]}}</p>
                <p class="words">{{allFavoriteArray[1]}}</p>
                <p class="words">{{allFavoriteArray[2]}}</p>
        </mat-card>
    </div>

    <div fxFlex class="flip3D">
        <mat-card class="thefront">
                <mat-icon class="sidenav-icon">beenhere</mat-icon>
                <p class="words"style="font-size: 1.2em">{{allVisitArray[0]}}</p>
            <a>Visit us again!</a>
        </mat-card>
        <mat-card class="theback">
                <mat-icon class="sidenav-icon">beenhere</mat-icon>
                <p class="words">{{allVisitArray[0]}}</p>
                <p class="words">{{allVisitArray[1]}}</p>
                <p class="words">{{allVisitArray[2]}}</p>
        </mat-card>
    </div>
    <div fxFlex>
        <mat-card>
            <mat-icon class="sidenav-icon">format_list_numbered</mat-icon>
                <p class="numb">{{totalBook}}</p>
            <a>Your total book record</a>
        </mat-card>
    </div>

    <div fxFlex class="flip3D">
        <mat-card class="thefront">
            <mat-icon class="sidenav-icon">trending_up</mat-icon>
            <p class="words" style="font-size: 1.2em">{{allTrendingArray[0]}}</p>
            <a>BLI trending pick</a>
        </mat-card>
        <mat-card class="theback">
            <mat-icon class="sidenav-icon">trending_up</mat-icon>
            <p class="words">{{allTrendingArray[0]}}</p>
            <p class="words">{{allTrendingArray[1]}}</p>
            <p class="words">{{allTrendingArray[2]}}</p>
        </mat-card>
    </div>

    <div fxFlex class="flip3D">
        <mat-card class="thefront">
            <mat-icon class="sidenav-icon">thumb_up</mat-icon>
            <p class="words" style="font-size: 1.2em">{{topRec.result[0] | titlecase}}</p>
            <a>Recommended pick</a>
        </mat-card>
        <mat-card class="theback">
            <mat-icon class="sidenav-icon">thumb_up</mat-icon>
            <p *ngFor="let rec of topRec.result" class="words">{{rec | titlecase}}</p>
        </mat-card>
    </div>
</div>

<div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="20px">
    <div fxFlex *ngFor="let item of places">
        <mat-card class="news_card">
            <img mat-card-image [src]="item.imgSrc">
            <mat-card-header style="justify-content: center">
                <mat-card-title>
                    <h3 class="m-0">{{item.place}}</h3>
                </mat-card-title>
            </mat-card-header>
            <mat-card-content>
                <p>
                    {{item.description}}
                </p>
            </mat-card-content>

            <mat-card-actions>
                <button mat-button>{{item.charge}}</button>
                <button mat-button style="pointer-events: none">
                    <mat-icon class="nav-icon">location_on</mat-icon> {{item.location}}
                </button>
            </mat-card-actions>
        </mat-card>
    </div>
</div>

